Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.ow2.jasmine.vmm.api
Enum VnicIPSettings.IpAssignmentMode

    java.lang.Object
      java.lang.Enum<VnicIPSettings.IpAssignmentMode>
          org.ow2.jasmine.vmm.api.VnicIPSettings.IpAssignmentMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<VnicIPSettings.IpAssignmentMode>

Enclosing class:
  VnicIPSettings

    public static enum VnicIPSettings.IpAssignmentMode

extends java.lang.Enum<VnicIPSettings.IpAssignmentMode>

Enum Constant Summary
`DHCP`
`FIXED`
`NONE`

Method Summary
`static VnicIPSettings.IpAssignmentMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static VnicIPSettings.IpAssignmentMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FIXED

    public static final VnicIPSettings.IpAssignmentMode FIXED

### DHCP

    public static final VnicIPSettings.IpAssignmentMode DHCP

### NONE

    public static final VnicIPSettings.IpAssignmentMode NONE

Method Detail

### values

    public static VnicIPSettings.IpAssignmentMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (VnicIPSettings.IpAssignmentMode c : VnicIPSettings.IpAssignmentMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static VnicIPSettings.IpAssignmentMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 OW2 Consortium. All Rights Reserved.